net.sf.okapi.common

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - net.sf.okapi.common.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventType>

      public enum EventType
      extends java.lang.Enum<EventType>

  The type of events used when working with the pipeline and its associated interfaces such as `IFilter` or `IFilterWriter`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANCELED` Indicates that the user has canceled the process.
    `CUSTOM` A custom event type used when steps need to exchange non-resource based information.
    `DOCUMENT_PART` Indicates a document part.
    `END_BATCH` Used to notify pipeline steps that the current batch operation is finished.
    `END_BATCH_ITEM` Used to notify the pipeline steps that athe current batch item is done.
    `END_DOCUMENT` Indicates the end of an input document.
    `END_GROUP` Indicates the end of a group.
    `END_SUBDOCUMENT` Indicates the end of a sub-document.
    `END_SUBFILTER`
    `MULTI_EVENT` An Event which holds multiple related Events, possibly of different types.
    `NO_OP` No operation event that is ignored by all steps.
    `PIPELINE_PARAMETERS` A special event which holds updated runtime parameters for the pipeline.
    `RAW_DOCUMENT` Document-level event.
    `START_BATCH` Used to notify pipeline steps that the current batch operation is starting.
    `START_BATCH_ITEM` Used to notify pipeline steps that a new batch item is about to come.
    `START_DOCUMENT` Indicates the start of an input document.
    `START_GROUP` Indicates the start of a group.
    `START_SUBDOCUMENT` Indicates the start of a sub-document.
    `START_SUBFILTER`
    `TEXT_UNIT` Indicates a text unit.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START_DOCUMENT

          public static final EventType START_DOCUMENT

      Indicates the start of an input document. A `StartDocument` resource should be associated with this event.

    - #### END_DOCUMENT

          public static final EventType END_DOCUMENT

      Indicates the end of an input document. An `Ending` resource should be associated with this event.

    - #### START_SUBDOCUMENT

          public static final EventType START_SUBDOCUMENT

      Indicates the start of a sub-document. A `StartSubDocument` resource should be associated with this event.

    - #### END_SUBDOCUMENT

          public static final EventType END_SUBDOCUMENT

      Indicates the end of a sub-document. An `Ending` resource should be associated with this event.

    - #### START_GROUP

          public static final EventType START_GROUP

      Indicates the start of a group. For example, the start tag of the <table> element in HTML. A `StartGroup` resource should be associated with this event.

    - #### END_GROUP

          public static final EventType END_GROUP

      Indicates the end of a group. An `Ending` resource should be associated with this event.

    - #### TEXT_UNIT

          public static final EventType TEXT_UNIT

      Indicates a text unit. For example, a paragraph in an HTML document. A `TextUnit` resource should be associated with this event.

    - #### DOCUMENT_PART

          public static final EventType DOCUMENT_PART

      Indicates a document part. Document parts are used to carry chunks of the input document that have no translatable data, but may have properties. A `DocumentPart` resource should be associated with this event.

    - #### CANCELED

          public static final EventType CANCELED

      Indicates that the user has canceled the process. No resource are associated with this event.

    - #### START_BATCH

          public static final EventType START_BATCH

      Used to notify pipeline steps that the current batch operation is starting.

    - #### END_BATCH

          public static final EventType END_BATCH

      Used to notify pipeline steps that the current batch operation is finished.

    - #### START_BATCH_ITEM

          public static final EventType START_BATCH_ITEM

      Used to notify pipeline steps that a new batch item is about to come.

    - #### END_BATCH_ITEM

          public static final EventType END_BATCH_ITEM

      Used to notify the pipeline steps that athe current batch item is done.

    - #### RAW_DOCUMENT

          public static final EventType RAW_DOCUMENT

      Document-level event. A `RawDocument` resource should be associated with this event.

    - #### MULTI_EVENT

          public static final EventType MULTI_EVENT

      An Event which holds multiple related Events, possibly of different types.

    - #### PIPELINE_PARAMETERS

          public static final EventType PIPELINE_PARAMETERS

      A special event which holds updated runtime parameters for the pipeline.

    - #### CUSTOM

          public static final EventType CUSTOM

      A custom event type used when steps need to exchange non-resource based information.

    - #### NO_OP

          public static final EventType NO_OP

      No operation event that is ignored by all steps. Used as a placeholder event when steps need to stay alive without triggering any actions.

    - #### START_SUBFILTER

          public static final EventType START_SUBFILTER

    - #### END_SUBFILTER

          public static final EventType END_SUBFILTER

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null